summaryrefslogtreecommitdiff
path: root/init.d/hostid.in
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2009-04-27 07:51:18 +0000
committerRoy Marples <roy@marples.name>2009-04-27 07:51:18 +0000
commite70a1429564a8fce5036c351b010a47dbb6c28b7 (patch)
treea1fc0f75a53041771bc9054fdab517ac32b3d79a /init.d/hostid.in
parenteaa32c75c9bba7af0ec842d82f56a6862bbc83db (diff)
downloadopenrc-e70a1429564a8fce5036c351b010a47dbb6c28b7.tar.gz
openrc-e70a1429564a8fce5036c351b010a47dbb6c28b7.tar.bz2
openrc-e70a1429564a8fce5036c351b010a47dbb6c28b7.tar.xz
Style.
Diffstat (limited to 'init.d/hostid.in')
-rw-r--r--init.d/hostid.in34
1 files changed, 17 insertions, 17 deletions
diff --git a/init.d/hostid.in b/init.d/hostid.in
index 00df273..46c7681 100644
--- a/init.d/hostid.in
+++ b/init.d/hostid.in
@@ -1,9 +1,9 @@
#!@PREFIX@/sbin/runscript
-# Copyright 2007-2008 Roy Marples <roy@marples.name>
+# Copyright 2007-2009 Roy Marples <roy@marples.name>
# All rights reserved. Released under the 2-clause BSD license.
extra_commands="reset"
-hostid_file=${hostid_file:-/etc/hostid}
+: ${hostid_file:=/etc/hostid}
depend()
{
@@ -20,14 +20,14 @@ _set()
id=$(echo "$1" | md5)
id="0x${id%????????????????????????}"
fi
- ebegin "Setting Host ID: ${id}"
- sysctl -w kern.hostid="${id}" >/dev/null
+ ebegin "Setting Host ID: $id"
+ sysctl -w kern.hostid="$id" >/dev/null
eend $? || return 1
if sysctl -n kern.hostuuid >/dev/null 2>&1; then
[ -n "$1" ] && id=$1
- ebegin "Setting Host UUID: ${id}"
- sysctl kern.hostuuid="${id}" >/dev/null
+ ebegin "Setting Host UUID: $id"
+ sysctl kern.hostuuid="$id" >/dev/null
eend $? || return 1
fi
@@ -38,37 +38,37 @@ _set()
# otherwise we generate a random UUID.
reset()
{
- local uuid= x="[0-9a-f]" y="${x}${x}${x}${x}"
+ local uuid= x="[0-9a-f]" y="$x$x$x$x"
if type kenv >/dev/null 2>&1; then
uuid=$(kenv smbios.system.uuid 2>/dev/null)
fi
- case "${uuid}" in
- ${y}${y}-${y}-${y}-${y}-${y}${y}${y});;
+ case "$uuid" in
+ $y$y-$y-$y-$y-$y$y$y);;
*) uuid=;;
esac
- if [ -n "${uuid}" ]; then
- rm -f "${hostid_file}"
+ if [ -n "$uuid" ]; then
+ rm -f "$hostid_file"
else
uuid=$(uuidgen)
- if [ -z "${uuid}" ]; then
+ if [ -z "$uuid" ]; then
eerror "Unable to generate a UUID"
return 1
fi
- if ! echo "${uuid}" > "${hostid_file}"; then
- eerror "Failed to store UUID in \`${hostid_file}'"
+ if ! echo "$uuid" >"$hostid_file"; then
+ eerror "Failed to store UUID in \`$hostid_file'"
return 1
fi
fi
- _set "${uuid}"
+ _set "$uuid"
}
start()
{
- if [ -r "${hostid_file}" ]; then
- _set $(cat "${hostid_file}")
+ if [ -r "$hostid_file" ]; then
+ _set $(cat "$hostid_file")
else
reset
fi